Bug 509318 - Differences in documentation of ipsec showhostkey between manual page and --help options
Differences in documentation of ipsec showhostkey between manual page and --h...
Status: CLOSED DUPLICATE of bug 698248
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openswan (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Avesh Agarwal
BaseOS QE Security Team
: Regression
: 524146 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 03:40 EDT by Miroslav Vadkerti
Modified: 2011-08-24 10:04 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-24 10:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2009-07-02 03:40:42 EDT
Description of problem:

The help of ipsec showhostkey shows:
.qa.[root@i386-5c-m1 tps]# ipsec showhostkey --help
Usage: ipsec showhostkey [--ipseckey {gateway}] [--left ] [--right ]
                         [--dump ] [--list ] [--x509self]
                         [--x509req ] [--x509cert ]      
                         [ --txt gateway ] [--dhclient ] 
                         [ --file secretfile ] 
                         [ --keynum count ] [ --id identity ]
                         [ --rsaid keyid ] [--verbose] [--version]

But the manual page lists:
SYNOPSIS
       ipsec showhostkey [--file secretfile] [--id identity]
              --dhclient | --left | --right | --txt gateway |
             --ipseckey <@fqdn|ip-addr> | --key | --help

Version-Release number of selected component (if applicable):
openswan-2.6.14-1.el5_3.3

How reproducible:
always

Steps to Reproduce:
# ipsec showhostkey --help
# info ipsec_showhostkey
  
Actual results:
Differences in options help <> manual page. There are various unexplained options in manual page (e.g. --dump- --keynun, --x509req, x509cert)

Expected results:
No differences in options
Comment 1 Eduard Benes 2009-07-03 07:56:15 EDT
Also the list of commands provided by the --help option, prints the list twice.

Version:
openswan-2.6.21-4.el5

Steps to reproduce:
1. run:
# ipsec --help
Usage: ipsec command argument ...
where command is one of:
	addconn
	auto
        ...
	whack
	addconn
	auto
	...
	whack

Actual results:
Commands are listed twice ...

Expected results: 
Print it just once ...

Additional info:
Both issues are easy to fix and test.
Comment 3 Eduard Benes 2009-10-15 09:13:55 EDT
*** Bug 524146 has been marked as a duplicate of this bug. ***
Comment 5 Avesh Agarwal 2009-12-23 17:07:00 EST
The patch is already sent to upstream and should not be a problem to do backporting.
Comment 7 Osier Yang 2010-03-04 04:18:25 EST
jiabwang, please help about this, I don't have then enviroment currently.

Thanks 
osier
Comment 14 Avesh Agarwal 2011-08-23 10:50:08 EDT
This will be covered by the rebase bz 698248.
Comment 15 Avesh Agarwal 2011-08-24 10:04:48 EDT
Closing it as duplicate of 698248.

*** This bug has been marked as a duplicate of bug 698248 ***

Note You need to log in before you can comment on or make changes to this bug.